OpenTTD Source: Data Fields - Variables

OpenTTD Source 15.0-RC2

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - b -

- b : Blitter_32bppSimple::Pixel, ColourARGB, DiagonalTileArea, SpriteLoader::CommonPixel
- b_cur : DiagonalTileIterator
- b_max : DiagonalTileIterator
- background_colour : DropDownToggle< TBase, TEnd >
- badge_class : NWidgetBadgeFilter
- BADGE_COLUMNS : BuildVehicleWindow
- badge_filters : BuildVehicleWindow
- badge_list : GRFFile
- bankrupt_asked : CompanyProperties
- bankrupt_timeout : CompanyProperties
- base : LinkGraphJob::EdgeAnnotation, LinkGraphJob::NodeAnnotation
- base_distance : DemandCalculator
- base_intro : EngineInfo
- base_life : EngineInfo
- base_sprites : RailTypeInfo
- base_tile : AirportTileTableIterator
- base_tiles : Tile
- base_x : DiagonalTileIterator
- base_y : DiagonalTileIterator
- basepath : SocialIntegrationPlugin
- been_used : Cheat, CheatEntry
- before : AlternatingIterator< Titer >
- begin : FileReader, TextfileWindow::Hyperlink
- behaviour : IndustrySpec
- best : FindTrainOnTrackInfo
- best_dest_node : CYapfBaseT< Types >
- best_intermediate_node : CYapfBaseT< Types >
- best_length : FindDepotData
- bevel : WidgetDimensions
- big_ufo_destroyer_target : DisasterVehicle
- bind : NetworkUDPSocketHandler
- bind_address : TCPConnecter
- bitcount : NamePartList
- bitnum : CargoSpec
- bits : CompanyManagerFace
- bitstart : NamePartList
- blink_interval : SmallMapWindow
- blitter : GraphicsSet
- blob_distance : CargoesField
- block_mode : SaveLoadParams
- block_preview : CompanyProperties
- block_type : Action5Type
- blocks : Airport, AirportFTA, AirportFTAbuildup, MemoryDumper, MidiFile, MovementTerminalMapping
- blot : NetworkGameWindow
- bottom_end : CargoesField
- bounds : Vehicle
- bpp : BmpInfo
- break_check_enabled : ScriptDebugWindow::FilterState
- break_editbox : ScriptDebugWindow
- break_string : ScriptDebugWindow::FilterState
- break_string_filter : ScriptDebugWindow
- breakdown_chance : Vehicle
- breakdown_ctr : Vehicle
- breakdown_delay : Vehicle
- breakdowns_since_last_service : Vehicle
- bribe : EconomySettings
- bridge_deck : RailTypeInfo
- bridge_offset : RailTypeInfo
- bridgeable_info : RoadStopSpec, StationSpec
- buf : MemoryDumper, ReadBuffer, Textbuf
- bufe : MemoryDumper, ReadBuffer
- buffer : EndianBufferReader, EndianBufferWriter< Tcont, Titer >, FallbackParagraphLayout, IConsoleLine, Layouter::LineCacheItem, Packet, PacketReader, RandomAccessFile, SpriteLoader::Sprite
- buffer_begin : FallbackParagraphLayout
- buffer_bits : VideoDriver_Win32GDI
- buffer_depth : VideoDriver_CocoaQuartz
- buffer_end : RandomAccessFile
- buffer_locked : VideoDriver_Cocoa, VideoDriver_SDL_Base, VideoDriver_Win32Base
- BUFFER_SIZE : RandomAccessFile
- buffer_start : RandomAccessFile
- bufp : ReadBuffer
- bug : LoggedChangeGRFBug
- build_caption : RailTypeInfo, RoadTypeInfo
- build_cost_multiplier : ObjectSpec, RoadStopSpec
- build_date : BaseStation, Depot, Object, TileDesc
- build_depot : RailTypeInfo, RoadTypeInfo
- build_ew_rail : RailTypeInfo
- build_ns_rail : RailTypeInfo
- build_object_frame_burst : ConstructionSettings
- build_object_limit : CompanyProperties
- build_object_per_64k_frames : ConstructionSettings
- build_on_slopes : ConstructionSettings
- build_tunnel : RailTypeInfo, RoadTypeInfo
- build_x_rail : RailTypeInfo
- build_x_road : RoadTypeInfo
- build_y_rail : RailTypeInfo
- build_y_road : RoadTypeInfo
- build_year : Vehicle
- builddata : IndustryBuildData
- builder : InPlaceReplacement
- building_availability : HouseSpec
- building_counts : TownCache
- building_flags : HouseSpec
- building_name : HouseSpec
- bus_station : Station
- bus_stops : Station
- button : GoalQuestionWindow
- BUTTON_BOTTOM_OFFSET : BuildTreesWindow
- button_colour : DropDownMover< TBase, TEnd, TFs >, DropDownToggle< TBase, TEnd >
- button_size : BootstrapAskForDownloadWindow
- buttons : ButtonLine, GoalQuestionWindow, NetworkClientListWindow
- bytes_per_frame : NetworkSettings
- bytes_per_frame_burst : NetworkSettings